Loading...
Searching...
No Matches
Comm Class Reference

A duplicate MPI communicator and manage lifetime of the communicator. More...

`#include <MPI.h>`

## Public Member Functions

| Comm (MPI_Comm comm, bool duplicate=true)
| Duplicate communicator and wrap duplicate.
| Comm (const Comm &comm) noexcept
| Copy constructor.
| Comm (Comm &&comm) noexcept
| Move constructor.
Comm & | operator= (const Comm &comm)=delete
Comm & | operator= (Comm &&comm) noexcept
| Move assignment operator.
| ~Comm ()
| Destructor (frees wrapped communicator).
MPI_Comm | comm () const noexcept
| Return the underlying MPI_Comm object.

## Detailed Description

A duplicate MPI communicator and manage lifetime of the communicator.

The documentation for this class was generated from the following files:

- /build/fenics-dolfinx-PdyzCE/fenics-dolfinx-0.10.0.post5/cpp/dolfinx/common/MPI.h
- /build/fenics-dolfinx-PdyzCE/fenics-dolfinx-0.10.0.post5/cpp/dolfinx/common/MPI.cpp